import request from '@/utils/request'


// 查询层级结构列表
export function listEmplee(data) {
  return request({
    url: '/test/emplee/list',
    method: 'post',
    data: data
  })
}

// 导出层级结构
export function exportEmplee(data) {
  return request({
    url: '/test/emplee/export',
    method: 'post',
    data: data
  })
}

// 查询层级结构详细
export function getEmplee(id) {
  return request({
    url: '/test/emplee/' + id,
    method: 'get'
  })
}

// 新增层级结构
export function addEmplee(data) {
  return request({
    url: '/test/emplee',
    method: 'post',
    data: data
  })
}

// 修改层级结构
export function updateEmplee(data) {
  return request({
    url: '/test/emplee',
    method: 'put',
    data: data
  })
}

// 删除层级结构
export function delEmplee(id) {
  return request({
    url: '/test/emplee/' + id,
    method: 'delete'
  })
}